#!/usr/bin/env python

import sys
from netmodel import NetData,NetModel


modelStep= 1


def printUsage():
  print >> sys.stderr, "degsquare.py  [network file] [model file]"
  print >> sys.stderr, "\t\t Counts mean d^2 in network"
  sys.exit()

if len(sys.argv) != 3:
  printUsage()
network= NetData()
model= NetModel()
model.read(sys.argv[2])
network.read(sys.argv[1], model, False, False, False)
degsq= 0.0
for i in xrange(0,network.nodeCount):
  degsq+=len(network.outNodes[i])*len(network.outNodes[i])
print float(degsq)/network.nodeCount



