#!/usr/bin/env python

# Reads files of network information writes files of link and node additions
import sys, getopt, math
from netmodel import NetModel


modelStep= 1


def printUsage():
  print >> sys.stderr, "edge_node_est.py [model file]"
  print >> sys.stderr, "\t\t Estimates edge/node ratio from model file"
  sys.exit()


nargs= len(sys.argv)
if nargs != 2:
  printUsage()

model= NetModel()
model.read(sys.argv[1])
edgeEst= 0.0
i= 0
for n in model.outerNodeModel:
  edgeEst+= i*n
  i+= 1
i= 0
for n in model.outerEdgeModel:
  edgeEst+= i*n
  i+= 1
print "Estimated edge/node ratio",edgeEst


