#!/usr/bin/env python

# Reads files of network information writes files of link and node additions
import sys, getopt, math
from netmodel import NetData


modelStep= 1


def printUsage():
  print >> sys.stderr, "nodecounter.py [network file]"
  print >> sys.stderr, "\t\t Counts nodes and edges as time proceeds"
  sys.exit()


nargs= len(sys.argv)
if nargs != 2:
  printUsage()

network= NetData()
network.read(sys.argv[1])
nodeCount= 0
currTime= -1
totEdges= len(network.edges)
for x in range(0,totEdges):
  e= network.edges[x]
  nodeCount= max(e[0],e[1],nodeCount)
  if e[2] > currTime or x == totEdges-1:
    currTime= e[2]
    print currTime, x+1, nodeCount+1



